Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022948
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-01-31 16:432013-04-03 12:56
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revision0aa362eeb756
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022948: Amount to be paid is not correctly calculated in case of returns

DescriptionWhen an order is set "to be returned", the amount to be paid is not calculated correctly. The displayed amount is the previous amount before the last change was done. So, if a line was added, the displayed amount is the amount without the last line.
Steps To Reproduce- Set an order to be returned.
- Add a line
- Click on the total amount box to pay. Verify that the amount to be paid is not correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056021)
hgbot (developer)
2013-01-31 16:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0aa362eeb7565b646fdb6439e82e1225b12b6fca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jan 31 16:44:53 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0aa362eeb7565b646fdb6439e82e1225b12b6fca [^]

Fixed issue 22948. The displayed amount to be paid will be correct in case of returns.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056025)
guilleaer (developer)
2013-01-31 17:48

tested & verified
(0057597)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 0aa362eeb7565b646fdb6439e82e1225b12b6fca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jan 31 16:44:53 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/0aa362eeb7565b646fdb6439e82e1225b12b6fca [^]

Fixed issue 22948. The displayed amount to be paid will be correct in case of returns.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-01-31 16:43 marvintm New Issue
2013-01-31 16:43 marvintm Assigned To => marvintm
2013-01-31 16:45 hgbot Checkin
2013-01-31 16:45 hgbot Note Added: 0056021
2013-01-31 16:45 hgbot Status new => resolved
2013-01-31 16:45 hgbot Resolution open => fixed
2013-01-31 16:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0aa362eeb7565b646fdb6439e82e1225b12b6fca [^]
2013-01-31 17:48 guilleaer Review Assigned To => guilleaer
2013-01-31 17:48 guilleaer Note Added: 0056025
2013-01-31 17:48 guilleaer Status resolved => closed
2013-01-31 17:48 guilleaer Fixed in Version => RMP19
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057597
2013-04-02 20:04 hgbot Status closed => resolved
2013-04-02 20:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0aa362eeb7565b646fdb6439e82e1225b12b6fca [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/0aa362eeb7565b646fdb6439e82e1225b12b6fca [^]
2013-04-03 12:56 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker